=== debian/changelog ===
simple-pv (0.0.6-1) unstable; urgency=medium

  * Fix an install issue where shareable_server.hh was not installed
  * Add license blobs to the public headers

 --  <jonathan.hanks@ligo.org>  Mon, 12 May 2025 14:57:15 -0700

simple-pv (0.0.5-1) unstable; urgency=medium

  * Adding code to facilitate sharing Server objects between threads.

 --  <jonathan.hanks@ligo.org>  Mon, 12 May 2025 11:19:22 -0700

simple-pv (0.0.4-1) Unstable; urgency=medium

  * Added a destroyPV interface to the C++ server to remove a PV
  * Added a lock around the update call.

 --  <jonathan.hanks@ligo.org>  Mon, 12 May 2025 09:54:53 -0700

simple-pv (0.0.3-1) unstable; urgency=medium

  * Add a nicer C++ interface for string PVs
  * Always apply the prefix to the channel name
  * The Server object can list the active PVs

 --  <jonathan.hanks@ligo.org>  Wed, 07 May 2025 14:53:32 -0700

simple-pv (0.0.2-1) unstable; urgency=medium

  * Updating the README to show an example of consuming this library via
    cmake.
  * Lowering the CMake version
  * Updating packaging to include dev deps in the dev package

 --  <jonathan.hanks@ligo.org>  Mon, 14 Apr 2025 15:17:48 -0700

simple-pv (0.0.1-2) UNSTABLE; urgency=medium

  * Added pkg-config to the build requirements.
   

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 13 Nov 2024 09:06:59 -0800

simple-pv (0.0.1-1) unstable; urgency=medium

  * Initial extraction from advligorts

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Tue, 12 Nov 2024 18:52:21 -0800
