=== debian/control ===
Source: simple-pv
Section: libs
Priority: optional
Maintainer: Jonathan Hanks <jonathan.hanks@ligo.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 cds-cmake-modules,
 epics-dev,
 epics-seq-dev,
 epics-pcas-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://git.ligo.org/cds/software/simple_pv
#Vcs-Browser: https://salsa.debian.org/debian/simple-pv
#Vcs-Git: https://salsa.debian.org/debian/simple-pv.git

Package: simple-pv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 simple-pv (= ${binary:Version}),
 cmake,
 cds-cmake-modules,
 epics-dev,
 epics-seq-dev,
 epics-pcas-dev,
 pkg-config,
 ${misc:Depends},
Description: Dev files for the LIGO CDS pCas wrapper
 Simple PV provides a simple interface for creating
 EPICS pCas servers (portable channel access).
 It provides a C and a C++ interface.
 This is the development package.

Package: simple-pv
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Library files for the LIGO CDS pCas wrapper
 Simple PV provides a simple interface for creating
 EPICS pCas servers (portable channel access).
 It provides a C and a C++ interface.
